Python安裝wxPython之坑

NO IMAGE

有的時候,使用pip install xxx會失敗,這個時候我們就需要下載xxx.whl檔案,而xxx.whl在版本上有很多不相容的地方需要注意

 

1.whl檔案相容性很差,同一檔案分版本

具體下載哪一個版本?

可在pythonIDE中輸入

import pip;

print(pip.pep425tags.get_supported())

(pip 10沒有pep425tags()這個屬性,可以考慮使用,python -m pip install –upgrade pip==9.0.3回退)

檢視可以獲取到pip支援的檔名還有版本

在我的機器下輸出

[(‘cp36’, ‘cp36m’, ‘win_amd64’), (‘cp36’, ‘none’,’win_amd64′), (‘py3’, ‘none’, ‘win_amd64’), (‘cp36’, ‘none’, ‘any’), (‘cp3′,’none’, ‘any’), (‘py36’, ‘none’, ‘any’), (‘py3’, ‘none’, ‘any’), (‘py35′,’none’, ‘any’), (‘py34’, ‘none’, ‘any’), (‘py33’, ‘none’, ‘any’), (‘py32′,’none’, ‘any’), (‘py31’, ‘none’, ‘any’), (‘py30’, ‘none’, ‘any’)]

於是我下載

wxPython-cp36-cp36mwin_amd64.whl

然後在命令列下進入whl檔案所在目錄,

pip install xxx.whl

 

2.在安裝wxPython.whl的時候還發現,

[(‘cp35’, ‘none’, ‘win_amd64’), (‘py3’, ‘none’,’win_amd64′), (‘cp35’, ‘none’, ‘any’), (‘cp3’, ‘none’, ‘any’), (‘cp34’, ‘none’,’any’), (‘cp33’, ‘none’, ‘any’), (‘cp32’, ‘none’, ‘any’), (‘cp31’, ‘none’,’any’), (‘cp30’, ‘none’, ‘any’), (‘py35’, ‘none’, ‘any’), (‘py3’, ‘none’,’any’), (‘py34’, ‘none’, ‘any’), (‘py33’, ‘none’, ‘any’), (‘py32’, ‘none’,’any’), (‘py31’, ‘none’, ‘any’), (‘py30’, ‘none’, ‘any’)]

根本沒有符合上述版本的wxPython.whl

因為這是pip 7,需要python -m pip install –upgradepip==9.0.3 到pip9,總而言之,pip9是最好的!!!

 

3.pip/python安裝路徑最好不要有中文,如果有的話,使用pip命令可能會顯示編碼錯誤,而python3又沒有setDefaultencoding()方法,罷了罷了,不用中文